Subject: Re: bug#50660: 28.0.50; Text artifacting when the cursor moves over text under mouse face that originally displayed a box

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Oct 2021 16:46:44 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 16 Oct 2021 21:18:02 +0800
> 
> > Then maybe the simplest solution would be to do the same.
> 
> Yes, I tend to think the same way.  Do the attached changes make sense
> to you?  Thanks.

There are two minor issues still:

  1) After producing the mouse face, you should call
     prepare_face_for_display.

  2) The code you add in set_glyph_string_background_width is almost
     identical to what we already have inside the loop in
     get_cursor_offset_for_mouse_face, and I wonder whether we could
     have a function to be called from these two places.

Other than that, I think this is fine, thanks.